Bug 1250182 - [abrt] webkitgtk4: operator new(): WebKitWebProcess killed by SIGABRT
[abrt] webkitgtk4: operator new(): WebKitWebProcess killed by SIGABRT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3e00cb121d7cf50c33afe12f856...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 12:36 EDT by Gwendal
Modified: 2015-09-01 08:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.8.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 08:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (184.85 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: core_backtrace (135.53 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: dso_list (14.65 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: environ (1.60 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: maps (88.44 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: open_fds (1.23 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-04 12:36 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2015-08-04 12:36:20 EDT
Version-Release number of selected component:
webkitgtk4-2.8.4-3.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 37
crash_function: operator new
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     19713
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 44 (5 frames)
 #6 operator new at ../../../../libstdc++-v3/libsupc++/new_op.cc:54
 #7 WTF::ThreadIdentifierData::initialize at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/ThreadIdentifierDataPthreads.cpp:74
 #8 WTF::initializeCurrentThreadInternal at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/ThreadingPthreads.cpp:213
 #9 WTF::threadEntryPoint at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/Threading.cpp:51
 #10 WTF::wtfThreadEntryPoint at /usr/src/debug/webkitgtk-2.8.4/Source/WTF/wtf/ThreadingPthreads.cpp:170
Comment 1 Gwendal 2015-08-04 12:36:24 EDT
Created attachment 1059174 [details]
File: backtrace
Comment 2 Gwendal 2015-08-04 12:36:25 EDT
Created attachment 1059175 [details]
File: cgroup
Comment 3 Gwendal 2015-08-04 12:36:27 EDT
Created attachment 1059176 [details]
File: core_backtrace
Comment 4 Gwendal 2015-08-04 12:36:28 EDT
Created attachment 1059177 [details]
File: dso_list
Comment 5 Gwendal 2015-08-04 12:36:29 EDT
Created attachment 1059178 [details]
File: environ
Comment 6 Gwendal 2015-08-04 12:36:30 EDT
Created attachment 1059179 [details]
File: limits
Comment 7 Gwendal 2015-08-04 12:36:32 EDT
Created attachment 1059180 [details]
File: maps
Comment 8 Gwendal 2015-08-04 12:36:33 EDT
Created attachment 1059181 [details]
File: mountinfo
Comment 9 Gwendal 2015-08-04 12:36:34 EDT
Created attachment 1059182 [details]
File: namespaces
Comment 10 Gwendal 2015-08-04 12:36:35 EDT
Created attachment 1059183 [details]
File: open_fds
Comment 11 Gwendal 2015-08-04 12:36:36 EDT
Created attachment 1059184 [details]
File: proc_pid_status
Comment 12 Michael Catanzaro 2015-08-04 12:53:08 EDT
You ran out of memory!
Comment 13 Gwendal 2015-08-05 12:17:07 EDT
Well it just happened again (according to ABRT that brought me to this very same bug), and my memory was just fine:

-----------------------------
$ free -m
              total        used        free      shared  buff/cache   available
Mem:           7925        2950          95          95        4879        4680
Swap:          8999           3        8996
-----------------------------

So that's weird =[
Comment 14 Fedora Update System 2015-08-25 11:40:07 EDT
webkitgtk4-2.8.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 15 Fedora Update System 2015-08-26 13:27:12 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update webkitgtk4'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 16 Fedora Update System 2015-09-01 08:19:18 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.